#include "stdafx.h"

// =================================
//	[U[O[oϐ
// =================================
HDC hMemDC;			//	foCXReLXg	
HBRUSH hBrush_bk;	//	wĩuV
HBITMAP hgBitmap;	//	_uobt@[

HPEN hPen[PEN_SIZE];
HBRUSH hBrush[BRUSH_SIZE];

/* --------------------------------------------------------
	̃R}B
---------------------------------------------------------*/
int shogi_draw_init(HWND hWnd)
{
HDC hdc;

	hdc		= GetDC(hWnd);				//	cb擾
	hMemDC	= CreateCompatibleDC(hdc);	//	݊̂cb쐬

	hgBitmap= CreateCompatibleBitmap(
		hdc,TEST_WIN_W , TEST_WIN_H);	//	_uobt@[쐬

	SelectObject(hMemDC , hgBitmap);	//	cbɌтB
	ReleaseDC(hWnd , hdc);

	Shogi_koma::koma_hwnd_set(hWnd,hMemDC);	//	R}Fnhݒ
	Shogi_masu::masu_hwnd_set(hWnd,hMemDC);	//	}XFnhݒ

	for(int i=0; i < KOMA_USED_CONT; i++ )
	{
		int x = Shogi_koma::koma_posi_tb[i].x;
		int y = Shogi_koma::koma_posi_tb[i].y;
		Shogi_masu::board[y][x]->flag = Shogi_koma::koma_posi_tb[i].koma;
	}

return 0;
}

/* --------------------------------------------------------
	̂
	}Xڂ`悷B
---------------------------------------------------------*/
void shogi_draw_sub(HWND hWnd, LPRECT rect)
{
//	Shogi_masu::masu_init = ( rect->bottom - MASU_Y_POSI * 2 ) / MASU_Y_SIZE;
	Shogi_masu::masu_size = ( rect->bottom - MASU_Y_POSI * 2 ) / MASU_Y_SIZE;	// σTCY

	for(int y=0; y < MASU_Y_SIZE; y++ )
	{
		for(int x=0; x < MASU_X_SIZE; x++ )
		{
			if( Shogi_masu::board[y][x] ) {		// }Xڂ`
				Shogi_masu::board[y][x]->masu_draw();
			}

			if( Shogi_masu::board[y][x]->flag ) {	//	R}`
				Shogi_koma::image[ Shogi_masu::board[y][x]->flag ]->koma_draw(
						Shogi_masu::board[y][x]->index_x,
						Shogi_masu::board[y][x]->index_y );
			}
		}
	}
}

/* --------------------------------------------------------
	gIuWFNg
---------------------------------------------------------*/
int shogi_draw_free()
{
	Shogi_koma::koma_free();
	Shogi_masu::masu_free();

	//	A_uobt@[p
	DeleteObject(hgBitmap);
	DeleteDC(hMemDC);

	for(int i=0;i<PEN_SIZE;i++) {
		DeleteObject(hPen[i]);
	}
	for(int i=0;i<BRUSH_SIZE;i++) {
		DeleteObject(hBrush[i]);
	}

return 0;
}


/* ---------------------------------------
	`PENBRUSH̏
 --------------------------------------- */
int shogi_draw_pen(HWND hWnd)
{
	hPen[0]	  = CreatePen(PS_SOLID,1,RGB(0,0x60,0));
	hBrush[0] = CreateSolidBrush(RGB(0x30,0x90,0x30));	//	gp̃uV
return 0;
}


//	dbf->hPen[1] = CreatePen(PS_SOLID,1,RGB(0,0x00,0));
//	dbf->hPen[2] = CreatePen(PS_SOLID,3,RGB(0xFF,0x00,0x00));
//	dbf->hPen[3] = CreatePen(PS_SOLID,3,RGB(0x00,0x00,0xFF));
//	dbf->hPen[PEN_NO5] = CreatePen(PS_SOLID,5,RGB(0x00,0x00,0xFF));	//	ҋ@I
//	dbf->hPen[PEN_NO6] = CreatePen(PS_SOLID,5,RGB(0xFF,0x00,0x00));	//	Q[I or 
//	dbf->hBrush[0] = CreateSolidBrush(RGB(0x60 , 0xC0 , 0x60));	//	gp̃uV
//	dbf->hBrush[1] = CreateSolidBrush(RGB(0x55 , 0x55 , 0x55));	//	IZ̍
//	dbf->hBrush[2] = CreateSolidBrush(RGB(0xEE , 0xEE , 0xEE));	//	IZ̔
//	dbf->hBrush[3] = CreateSolidBrush(RGB(0x40 , 0x40 , 0xC0));	//	IZ̔Ձi΁j
//	dbf->hBrush[4] = CreateSolidBrush(RGB(0x60 , 0xC0 , 0x60));	//	IZ̔Ձij
//	dbf->hBrush[BRU_N05] = CreateSolidBrush(RGB(0xFF , 0x44 , 0x44));	//	Ԉ

//SelectObject( hMemDC, KOMA_img[i].hBitmap );								// hdc AhBitmap ɐݒ
//GetObject( KOMA_img[i].hBitmap , sizeof(BITMAP) , &KOMA_img[i].bitmap );	// hBitmap HeaderAbitmap ɐݒ
//BitBlt(	hdc,0,0, 
//		KOMA_img[i].bitmap.bmWidth,
//		KOMA_img[i].bitmap.bmHeight,
//		KOMA_img[i].hMemDC, 0, 0, SRCCOPY);

//	SetStretchBltMode(hdc , COLORONCOLOR);
//	StretchBlt(
//		hdc , Pos_X+1 , Pos_Y+1 , LineSize-1 , LineSize-1 ,
//		fc->hMemDC , 0 , 0 ,  fc->bitmap.bmWidth , fc->bitmap.bmHeight , SRCCOPY
//	);

//	SelectObject( hMemDC, koma_buff[i]->hBitmap );								// hdc AhBitmap ɐݒ
//	GetObject( koma_buff[i]->hBitmap , sizeof(BITMAP) , &koma_buff[i]->bitmap );	// hBitmap HeaderAbitmap ɐݒ

//sprintf_s( (char*)KOMA_img[i].file_name, FILE_NAME, "C:\\usr\\blog_c\\KOMA_game\\bmp\\%02d.bmp", 1 );
//KOMA_img[i].hMemDC = hMemDC;
//KOMA_img[i].hBitmap = (HBITMAP)LoadImage(
//			(HINSTANCE)GetWindowLong(hWnd , GWL_HINSTANCE) ,
//			(char*)KOMA_img[i].file_name , IMAGE_BITMAP ,
//			0 , 0 , LR_LOADFROMFILE );
